# Makefile.in generated by automake 1.14 from Makefile.am.
# @configure_input@

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

VPATH = @srcdir@
am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
subdir = doc
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(top_srcdir)/./conf/mkinstalldirs
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/./conf/mkinstalldirs
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(citationlistxdir)" \
	"$(DESTDIR)$(citationlistxdtdelemdir)" \
	"$(DESTDIR)$(citationlistxeledescdir)" \
	"$(DESTDIR)$(citationlistxelementsdir)" \
	"$(DESTDIR)$(citestylexdir)" \
	"$(DESTDIR)$(citestylexdtdelemdir)" \
	"$(DESTDIR)$(citestylexeledescdir)" \
	"$(DESTDIR)$(citestylexelementsdir)" "$(DESTDIR)$(docdir)" \
	"$(DESTDIR)$(indexdir)" "$(DESTDIR)$(risxdir)" \
	"$(DESTDIR)$(risxdtdelemdir)" "$(DESTDIR)$(risxeledescdir)" \
	"$(DESTDIR)$(risxelementsdir)" "$(DESTDIR)$(xnotedir)" \
	"$(DESTDIR)$(xnotedtdelemdir)" "$(DESTDIR)$(xnoteeledescdir)" \
	"$(DESTDIR)$(xnoteelementsdir)"
DATA = $(citationlistx_DATA) $(citationlistxdtdelem_DATA) \
	$(citationlistxeledesc_DATA) $(citationlistxelements_DATA) \
	$(citestylex_DATA) $(citestylexdtdelem_DATA) \
	$(citestylexeledesc_DATA) $(citestylexelements_DATA) \
	$(doc_DATA) $(index_DATA) $(risx_DATA) $(risxdtdelem_DATA) \
	$(risxeledesc_DATA) $(risxelements_DATA) $(xnote_DATA) \
	$(xnotedtdelem_DATA) $(xnoteeledesc_DATA) \
	$(xnoteelements_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
BIB2RIS = @BIB2RIS@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
GREP = @GREP@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LDFLAGS = @LDFLAGS@
LIBICONV = @LIBICONV@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LTLIBICONV = @LTLIBICONV@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MKDIR_P = @MKDIR_P@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
ULLSPEC = @ULLSPEC@
VERSION = @VERSION@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_CC = @ac_ct_CC@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bib2ris_LDADD = @bib2ris_LDADD@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
classpath_root = @classpath_root@
client1_mans = @client1_mans@
client_bins = @client_bins@
client_etc_distobjects = @client_etc_distobjects@
client_etc_objects = @client_etc_objects@
client_mans = @client_mans@
client_scripts = @client_scripts@
client_subdirs = @client_subdirs@
datadir = @datadir@
datarootdir = @datarootdir@
db_dir = @db_dir@
docbk_xsl = @docbk_xsl@
docbk_xsl_ns = @docbk_xsl_ns@
docdir = $(datadir)/doc/$(PACKAGE)-$(VERSION)/refdb-manual
docs_subdirs = @docs_subdirs@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
log_dir = @log_dir@
main_db = @main_db@
man_subdirs = @man_subdirs@
mandir = @mandir@
mkdir_p = @mkdir_p@
mybatik = @mybatik@
mydtdformat = @mydtdformat@
mydtdparse = @mydtdparse@
myjade = @myjade@
myperl = @myperl@
mysgrep = @mysgrep@
myshell = @myshell@
mysvnversion = @mysvnversion@
mytidy = @mytidy@
myxmlcatalog = @myxmlcatalog@
myxsltproc = @myxsltproc@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psarg = @psarg@
psdir = @psdir@
refdba_LDADD = @refdba_LDADD@
refdbc_LDADD = @refdbc_LDADD@
refdbd_LDADD = @refdbd_LDADD@
sbindir = @sbindir@
server8_mans = @server8_mans@
server_bins = @server_bins@
server_etc_distobjects = @server_etc_distobjects@
server_etc_objects = @server_etc_objects@
server_mans = @server_mans@
server_scripts = @server_scripts@
server_subdirs = @server_subdirs@
sgml_decl = @sgml_decl@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
svnversioncommand = @svnversioncommand@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
tei_xsl = @tei_xsl@
tei_xsl_ns = @tei_xsl_ns@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
trang_cmd = @trang_cmd@
var_dir = @var_dir@
xml_decl = @xml_decl@
doc_DATA = refdb-manual.pdf refdb-manual/*
indexdir = $(datadir)/doc/$(PACKAGE)-$(VERSION)/
index_DATA = index.html
citestylexdir = $(datadir)/doc/$(PACKAGE)-$(VERSION)/citestylex
citestylex_DATA = citestylex/*.html
citestylexdtdelemdir = $(datadir)/doc/$(PACKAGE)-$(VERSION)/citestylex/dtdelem
citestylexdtdelem_DATA = citestylex/dtdelem/*
citestylexeledescdir = $(datadir)/doc/$(PACKAGE)-$(VERSION)/citestylex/ele-desc
citestylexeledesc_DATA = $(top_srcdir)/doc/citestylex/ele-desc/*.html
citestylexelementsdir = $(datadir)/doc/$(PACKAGE)-$(VERSION)/citestylex/elements
citestylexelements_DATA = citestylex/elements/*
risxdir = $(datadir)/doc/$(PACKAGE)-$(VERSION)/risx
risx_DATA = risx/*.html
risxdtdelemdir = $(datadir)/doc/$(PACKAGE)-$(VERSION)/risx/dtdelem
risxdtdelem_DATA = risx/dtdelem/*
risxeledescdir = $(datadir)/doc/$(PACKAGE)-$(VERSION)/risx/ele-desc
risxeledesc_DATA = $(top_srcdir)/doc/risx/ele-desc/*.html
risxelementsdir = $(datadir)/doc/$(PACKAGE)-$(VERSION)/risx/elements
risxelements_DATA = risx/elements/*
citationlistxdir = $(datadir)/doc/$(PACKAGE)-$(VERSION)/citationlistx
citationlistx_DATA = citationlistx/*.html
citationlistxdtdelemdir = $(datadir)/doc/$(PACKAGE)-$(VERSION)/citationlistx/dtdelem
citationlistxdtdelem_DATA = citationlistx/dtdelem/*
citationlistxeledescdir = $(datadir)/doc/$(PACKAGE)-$(VERSION)/citationlistx/ele-desc
citationlistxeledesc_DATA = $(top_srcdir)/doc/citationlistx/ele-desc/*.html
citationlistxelementsdir = $(datadir)/doc/$(PACKAGE)-$(VERSION)/citationlistx/elements
citationlistxelements_DATA = citationlistx/elements/*
xnotedir = $(datadir)/doc/$(PACKAGE)-$(VERSION)/xnote
xnote_DATA = xnote/*.html
xnotedtdelemdir = $(datadir)/doc/$(PACKAGE)-$(VERSION)/xnote/dtdelem
xnotedtdelem_DATA = xnote/dtdelem/*
xnoteeledescdir = $(datadir)/doc/$(PACKAGE)-$(VERSION)/xnote/ele-desc
xnoteeledesc_DATA = $(top_srcdir)/doc/xnote/ele-desc/*.html
xnoteelementsdir = $(datadir)/doc/$(PACKAGE)-$(VERSION)/xnote/elements
xnoteelements_DATA = xnote/elements/*

####################################################################
# the manual
manual_sources = refdb-manual.xml chapter-backend-api.xml chapter-bibliographies.xml chapter-cs-protocol.xml chapter-data-input.xml chapter-inout-formats.xml chapter-installation.xml chapter-introduction.xml chapter-limitations.xml chapter-managing-notes.xml chapter-managing-references.xml chapter-overview-clients.xml chapter-perl-client-module.xml chapter-refdb-database-design.xml chapter-refdba.xml chapter-refdbc.xml chapter-refdbd-administration.xml chapter-refdbd.xml chapter-refdbib.xml chapter-reference-database-design.xml chapter-ris-risx-format.xml chapter-system-requirements.xml chapter-programming.xml chapter-sru.xml
manpage_sources = RefDB.7.xml bib2ris.1.xml db2ris.1.xml eenc.1.xml en2ris.1.xml marc2ris.1.xml med2ris.1.xml refdb-backup.1.xml refdb-ms.1.xml refdb-restore.1.xml refdb.8.xml refdba.1.xml refdbc.1.xml refdbctl.1.xml refdbd.1.xml refdbib.1.xml refdbjade.1.xml refdbnd.1.xml refdbxml.1.xml refdbxp.1.xml runbib.1.xml runbib-missing.1.xml refdb-init.8.xml refdb-bug.1.xml refdb_dos2unix.1.xml refdb_latex2utf8txt.1.xml refdbsru.1.xml refdb-sruserver.1.xml rtfcitations.1.xml refdbrtf.1.xml refdb-pubmed.1.xml
svg_images = refdbmanualfig1.svg refdbmanualfig2.svg refdbmanualfig3.svg refdbmanualfig4.svg refdbmanualfig5.svg refdbmanualfig6.svg
png_images = $(top_srcdir)/doc/refdbmanualfig1.png $(top_srcdir)/doc/refdbmanualfig2.png $(top_srcdir)/doc/refdbmanualfig3.png $(top_srcdir)/doc/refdbmanualfig4.png $(top_srcdir)/doc/refdbmanualfig5.png $(top_srcdir)/doc/refdbmanualfig6.png
html_extra_files = $(top_srcdir)/doc/manual.css $(png_images)
manual_include_files = include/fotitlepage.templates.xml include/fotitlepages.xsl include/manual-fo.xsl include/manual-man.xsl include/manual-xhtml.xsl 

####################################################################
# the dtd documentation
dtdparsefiles = citestylex.xml citestylex/elements.html risx.xml risx/elements.html citationlistx.xml citationlistx/elements.html xnote.xml xnote/elements.html
EXTRA_DIST = $(doc_DATA) $(manual_sources) $(manpage_sources) $(html_extra_files) $(svg_images) $(citestylex_DATA) $(citestylexdtdelem_DATA) $(citestylexeledesc_DATA) $(citestylexelements_DATA) $(risx_DATA) $(risxdtdelem_DATA) $(risxeledesc_DATA) $(risxelements_DATA) $(citationlistx_DATA) $(citationlistxdtdelem_DATA) $(citationlistxeledesc_DATA) $(citationlistxelements_DATA) $(xnote_DATA) $(xnotedtdelem_DATA) $(xnoteeledesc_DATA) $(xnoteelements_DATA) $(index_DATA) $(dtdparsefiles) $(manual_include_files) refdb-manual-statustable.xml 
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu doc/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu doc/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-citationlistxDATA: $(citationlistx_DATA)
	@$(NORMAL_INSTALL)
	@list='$(citationlistx_DATA)'; test -n "$(citationlistxdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(citationlistxdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(citationlistxdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(citationlistxdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(citationlistxdir)" || exit $$?; \
	done

uninstall-citationlistxDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(citationlistx_DATA)'; test -n "$(citationlistxdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(citationlistxdir)'; $(am__uninstall_files_from_dir)
install-citationlistxdtdelemDATA: $(citationlistxdtdelem_DATA)
	@$(NORMAL_INSTALL)
	@list='$(citationlistxdtdelem_DATA)'; test -n "$(citationlistxdtdelemdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(citationlistxdtdelemdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(citationlistxdtdelemdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(citationlistxdtdelemdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(citationlistxdtdelemdir)" || exit $$?; \
	done

uninstall-citationlistxdtdelemDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(citationlistxdtdelem_DATA)'; test -n "$(citationlistxdtdelemdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(citationlistxdtdelemdir)'; $(am__uninstall_files_from_dir)
install-citationlistxeledescDATA: $(citationlistxeledesc_DATA)
	@$(NORMAL_INSTALL)
	@list='$(citationlistxeledesc_DATA)'; test -n "$(citationlistxeledescdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(citationlistxeledescdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(citationlistxeledescdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(citationlistxeledescdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(citationlistxeledescdir)" || exit $$?; \
	done

uninstall-citationlistxeledescDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(citationlistxeledesc_DATA)'; test -n "$(citationlistxeledescdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(citationlistxeledescdir)'; $(am__uninstall_files_from_dir)
install-citationlistxelementsDATA: $(citationlistxelements_DATA)
	@$(NORMAL_INSTALL)
	@list='$(citationlistxelements_DATA)'; test -n "$(citationlistxelementsdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(citationlistxelementsdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(citationlistxelementsdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(citationlistxelementsdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(citationlistxelementsdir)" || exit $$?; \
	done

uninstall-citationlistxelementsDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(citationlistxelements_DATA)'; test -n "$(citationlistxelementsdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(citationlistxelementsdir)'; $(am__uninstall_files_from_dir)
install-citestylexDATA: $(citestylex_DATA)
	@$(NORMAL_INSTALL)
	@list='$(citestylex_DATA)'; test -n "$(citestylexdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(citestylexdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(citestylexdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(citestylexdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(citestylexdir)" || exit $$?; \
	done

uninstall-citestylexDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(citestylex_DATA)'; test -n "$(citestylexdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(citestylexdir)'; $(am__uninstall_files_from_dir)
install-citestylexdtdelemDATA: $(citestylexdtdelem_DATA)
	@$(NORMAL_INSTALL)
	@list='$(citestylexdtdelem_DATA)'; test -n "$(citestylexdtdelemdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(citestylexdtdelemdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(citestylexdtdelemdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(citestylexdtdelemdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(citestylexdtdelemdir)" || exit $$?; \
	done

uninstall-citestylexdtdelemDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(citestylexdtdelem_DATA)'; test -n "$(citestylexdtdelemdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(citestylexdtdelemdir)'; $(am__uninstall_files_from_dir)
install-citestylexeledescDATA: $(citestylexeledesc_DATA)
	@$(NORMAL_INSTALL)
	@list='$(citestylexeledesc_DATA)'; test -n "$(citestylexeledescdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(citestylexeledescdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(citestylexeledescdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(citestylexeledescdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(citestylexeledescdir)" || exit $$?; \
	done

uninstall-citestylexeledescDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(citestylexeledesc_DATA)'; test -n "$(citestylexeledescdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(citestylexeledescdir)'; $(am__uninstall_files_from_dir)
install-citestylexelementsDATA: $(citestylexelements_DATA)
	@$(NORMAL_INSTALL)
	@list='$(citestylexelements_DATA)'; test -n "$(citestylexelementsdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(citestylexelementsdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(citestylexelementsdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(citestylexelementsdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(citestylexelementsdir)" || exit $$?; \
	done

uninstall-citestylexelementsDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(citestylexelements_DATA)'; test -n "$(citestylexelementsdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(citestylexelementsdir)'; $(am__uninstall_files_from_dir)
install-docDATA: $(doc_DATA)
	@$(NORMAL_INSTALL)
	@list='$(doc_DATA)'; test -n "$(docdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(docdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(docdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(docdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(docdir)" || exit $$?; \
	done

uninstall-docDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(doc_DATA)'; test -n "$(docdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(docdir)'; $(am__uninstall_files_from_dir)
install-indexDATA: $(index_DATA)
	@$(NORMAL_INSTALL)
	@list='$(index_DATA)'; test -n "$(indexdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(indexdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(indexdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(indexdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(indexdir)" || exit $$?; \
	done

uninstall-indexDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(index_DATA)'; test -n "$(indexdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(indexdir)'; $(am__uninstall_files_from_dir)
install-risxDATA: $(risx_DATA)
	@$(NORMAL_INSTALL)
	@list='$(risx_DATA)'; test -n "$(risxdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(risxdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(risxdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(risxdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(risxdir)" || exit $$?; \
	done

uninstall-risxDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(risx_DATA)'; test -n "$(risxdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(risxdir)'; $(am__uninstall_files_from_dir)
install-risxdtdelemDATA: $(risxdtdelem_DATA)
	@$(NORMAL_INSTALL)
	@list='$(risxdtdelem_DATA)'; test -n "$(risxdtdelemdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(risxdtdelemdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(risxdtdelemdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(risxdtdelemdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(risxdtdelemdir)" || exit $$?; \
	done

uninstall-risxdtdelemDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(risxdtdelem_DATA)'; test -n "$(risxdtdelemdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(risxdtdelemdir)'; $(am__uninstall_files_from_dir)
install-risxeledescDATA: $(risxeledesc_DATA)
	@$(NORMAL_INSTALL)
	@list='$(risxeledesc_DATA)'; test -n "$(risxeledescdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(risxeledescdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(risxeledescdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(risxeledescdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(risxeledescdir)" || exit $$?; \
	done

uninstall-risxeledescDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(risxeledesc_DATA)'; test -n "$(risxeledescdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(risxeledescdir)'; $(am__uninstall_files_from_dir)
install-risxelementsDATA: $(risxelements_DATA)
	@$(NORMAL_INSTALL)
	@list='$(risxelements_DATA)'; test -n "$(risxelementsdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(risxelementsdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(risxelementsdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(risxelementsdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(risxelementsdir)" || exit $$?; \
	done

uninstall-risxelementsDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(risxelements_DATA)'; test -n "$(risxelementsdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(risxelementsdir)'; $(am__uninstall_files_from_dir)
install-xnoteDATA: $(xnote_DATA)
	@$(NORMAL_INSTALL)
	@list='$(xnote_DATA)'; test -n "$(xnotedir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(xnotedir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(xnotedir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(xnotedir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(xnotedir)" || exit $$?; \
	done

uninstall-xnoteDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(xnote_DATA)'; test -n "$(xnotedir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(xnotedir)'; $(am__uninstall_files_from_dir)
install-xnotedtdelemDATA: $(xnotedtdelem_DATA)
	@$(NORMAL_INSTALL)
	@list='$(xnotedtdelem_DATA)'; test -n "$(xnotedtdelemdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(xnotedtdelemdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(xnotedtdelemdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(xnotedtdelemdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(xnotedtdelemdir)" || exit $$?; \
	done

uninstall-xnotedtdelemDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(xnotedtdelem_DATA)'; test -n "$(xnotedtdelemdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(xnotedtdelemdir)'; $(am__uninstall_files_from_dir)
install-xnoteeledescDATA: $(xnoteeledesc_DATA)
	@$(NORMAL_INSTALL)
	@list='$(xnoteeledesc_DATA)'; test -n "$(xnoteeledescdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(xnoteeledescdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(xnoteeledescdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(xnoteeledescdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(xnoteeledescdir)" || exit $$?; \
	done

uninstall-xnoteeledescDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(xnoteeledesc_DATA)'; test -n "$(xnoteeledescdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(xnoteeledescdir)'; $(am__uninstall_files_from_dir)
install-xnoteelementsDATA: $(xnoteelements_DATA)
	@$(NORMAL_INSTALL)
	@list='$(xnoteelements_DATA)'; test -n "$(xnoteelementsdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(xnoteelementsdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(xnoteelementsdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(xnoteelementsdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(xnoteelementsdir)" || exit $$?; \
	done

uninstall-xnoteelementsDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(xnoteelements_DATA)'; test -n "$(xnoteelementsdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(xnoteelementsdir)'; $(am__uninstall_files_from_dir)
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
	$(MAKE) $(AM_MAKEFLAGS) \
	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
	  dist-hook
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(citationlistxdir)" "$(DESTDIR)$(citationlistxdtdelemdir)" "$(DESTDIR)$(citationlistxeledescdir)" "$(DESTDIR)$(citationlistxelementsdir)" "$(DESTDIR)$(citestylexdir)" "$(DESTDIR)$(citestylexdtdelemdir)" "$(DESTDIR)$(citestylexeledescdir)" "$(DESTDIR)$(citestylexelementsdir)" "$(DESTDIR)$(docdir)" "$(DESTDIR)$(indexdir)" "$(DESTDIR)$(risxdir)" "$(DESTDIR)$(risxdtdelemdir)" "$(DESTDIR)$(risxeledescdir)" "$(DESTDIR)$(risxelementsdir)" "$(DESTDIR)$(xnotedir)" "$(DESTDIR)$(xnotedtdelemdir)" "$(DESTDIR)$(xnoteeledescdir)" "$(DESTDIR)$(xnoteelementsdir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-citationlistxDATA \
	install-citationlistxdtdelemDATA \
	install-citationlistxeledescDATA \
	install-citationlistxelementsDATA install-citestylexDATA \
	install-citestylexdtdelemDATA install-citestylexeledescDATA \
	install-citestylexelementsDATA install-docDATA \
	install-indexDATA install-risxDATA install-risxdtdelemDATA \
	install-risxeledescDATA install-risxelementsDATA \
	install-xnoteDATA install-xnotedtdelemDATA \
	install-xnoteeledescDATA install-xnoteelementsDATA

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-citationlistxDATA \
	uninstall-citationlistxdtdelemDATA \
	uninstall-citationlistxeledescDATA \
	uninstall-citationlistxelementsDATA uninstall-citestylexDATA \
	uninstall-citestylexdtdelemDATA \
	uninstall-citestylexeledescDATA \
	uninstall-citestylexelementsDATA uninstall-docDATA \
	uninstall-indexDATA uninstall-risxDATA \
	uninstall-risxdtdelemDATA uninstall-risxeledescDATA \
	uninstall-risxelementsDATA uninstall-xnoteDATA \
	uninstall-xnotedtdelemDATA uninstall-xnoteeledescDATA \
	uninstall-xnoteelementsDATA

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic cscopelist-am \
	ctags-am dist-hook distclean distclean-generic distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-citationlistxDATA install-citationlistxdtdelemDATA \
	install-citationlistxeledescDATA \
	install-citationlistxelementsDATA install-citestylexDATA \
	install-citestylexdtdelemDATA install-citestylexeledescDATA \
	install-citestylexelementsDATA install-data install-data-am \
	install-docDATA install-dvi install-dvi-am install-exec \
	install-exec-am install-html install-html-am install-indexDATA \
	install-info install-info-am install-man install-pdf \
	install-pdf-am install-ps install-ps-am install-risxDATA \
	install-risxdtdelemDATA install-risxeledescDATA \
	install-risxelementsDATA install-strip install-xnoteDATA \
	install-xnotedtdelemDATA install-xnoteeledescDATA \
	install-xnoteelementsDATA installcheck installcheck-am \
	installdirs maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-generic pdf pdf-am ps ps-am tags-am \
	uninstall uninstall-am uninstall-citationlistxDATA \
	uninstall-citationlistxdtdelemDATA \
	uninstall-citationlistxeledescDATA \
	uninstall-citationlistxelementsDATA uninstall-citestylexDATA \
	uninstall-citestylexdtdelemDATA \
	uninstall-citestylexeledescDATA \
	uninstall-citestylexelementsDATA uninstall-docDATA \
	uninstall-indexDATA uninstall-risxDATA \
	uninstall-risxdtdelemDATA uninstall-risxeledescDATA \
	uninstall-risxelementsDATA uninstall-xnoteDATA \
	uninstall-xnotedtdelemDATA uninstall-xnoteeledescDATA \
	uninstall-xnoteelementsDATA


all: refdb-manual.pdf refdb-manual/* citestylex/elements.html risx/elements.html citationlistx/elements.html xnote/elements.html

####################################################################
# building the manual

# this is how we could validate the manual:
# xmllint --noout --xinclude --relaxng /usr/local/share/emacs/21.3/site-lisp/nxml/schema/docbook.rng refdb-manual.xml 2>&1|less

refdb-manual-statustable.xml: $(top_srcdir)/scripts/statgen.pl
	$(top_srcdir)/scripts/statgen.pl docbook > refdb-manual-statustable.xml

@HAVEBATIK_TRUE@$(png_images): %.png: %.svg
@HAVEBATIK_TRUE@	batik-rasterizer -m image/png $<
@HAVEBATIK_FALSE@$(png_images): %.png: %.svg
@HAVEBATIK_FALSE@	convert $< $@

include/fotitlepages.xsl: include/fotitlepage.templates.xml
	xsltproc -output include/fotitlepages.xsl $(docbk_xsl)/template/titlepage.xsl include/fotitlepage.templates.xml

refdb-manual.pdf: $(manual_sources) $(manpage_sources) $(svg_images) refdb-manual-statustable.xml include/fotitlepages.xsl include/manual-fo.xsl
	@echo "Creating PDF manual...";
#	xsltproc -o refdb-manual.fo --nonet --xinclude $(top_srcdir)/doc/include/manual-fo.xsl $(top_srcdir)/doc/refdb-manual.xml
# workaround for a null pointer exception in fop 1.0: disable hyphenation
	@echo "hyphenation temporarily unavailable"
	xsltproc -o refdb-manual.fo --stringparam hyphenate 0 --nonet --xinclude $(top_srcdir)/doc/include/manual-fo.xsl $(top_srcdir)/doc/refdb-manual.xml
# we have to give Java a little extra memory lest fop will die a horrible death
	JAVA_OPTS=-Xmx256M fop -fo refdb-manual.fo -pdf refdb-manual.pdf

refdb-manual/*: $(manual_sources) $(manpage_sources) $(png_images) refdb-manual-statustable.xml include/manual-xhtml.xsl
	@echo "Creating HTML manual...";
	rm -rf refdb-manual/*
# building outside the source dir won't work here because the docbook
# stylesheets screw up the location of the image files for HTML output
	mkdir -p refdb-manual && cp $(html_extra_files) refdb-manual/ && xsltproc -o refdb-manual/ --nonet --xinclude include/manual-xhtml.xsl refdb-manual.xml

####################################################################
# building the DTD doc

citestylex.xml: $(top_srcdir)/dtd/citestylex.dtd
# dtdparse does not grok CATALOG directives, therefore we have to temporarily
# disable all entries in SGML_CATALOG_FILES
	SGML_CATALOG_FILES=""  dtdparse --title "citestyle XML DTD" --output citestylex.xml --declaration $(top_srcdir)/declarations/xml.dcl --system-id "http://refdb.sourceforge.net/dtd/citestylex.dtd" $(top_srcdir)/dtd/citestylex.dtd 

citestylex/elements.html: citestylex.xml $(top_srcdir)/doc/citestylex/ele-desc/*
	dtdformat --html citestylex.xml
	$(top_srcdir)/scripts/dtdparseweave citestylex

citestylex/dtdelem/*: citestylex/elements.html
citestylex/elements/*: citestylex/elements.html
citestylex/*.html: citestylex/elements.html

risx.xml: $(top_srcdir)/dtd/risx.dtd
	SGML_CATALOG_FILES=""  dtdparse --title "risx XML DTD" --output risx.xml --declaration $(top_srcdir)/declarations/xml.dcl --system-id "http://refdb.sourceforge.net/dtd/risx.dtd" $(top_srcdir)/dtd/risx.dtd 

risx/elements.html: risx.xml $(top_srcdir)/doc/risx/ele-desc/*
	dtdformat --html risx.xml
	$(top_srcdir)/scripts/dtdparseweave risx

risx/dtdelem/*: risx/elements.html
risx/elements/*: risx/elements.html
risx/*.html: risx/elements.html

citationlistx.xml: $(top_srcdir)/dtd/citationlistx.dtd
	SGML_CATALOG_FILES=""  dtdparse --title "citationlistx XML DTD" --output citationlistx.xml --declaration $(top_srcdir)/declarations/xml.dcl --system-id "http://refdb.sourceforge.net/dtd/citationlistx.dtd" $(top_srcdir)/dtd/citationlistx.dtd 

citationlistx/elements.html: citationlistx.xml $(top_srcdir)/doc/citationlistx/ele-desc/*
	dtdformat --html citationlistx.xml
	$(top_srcdir)/scripts/dtdparseweave citationlistx

citationlistx/dtdelem/*: citationlistx/elements.html
citationlistx/elements/*: citationlistx/elements.html
citationlistx/*.html: citationlistx/elements.html

xnote.xml: $(top_srcdir)/dtd/xnote.dtd
	SGML_CATALOG_FILES=""  dtdparse --title "xnote XML DTD" --output xnote.xml --declaration $(top_srcdir)/declarations/xml.dcl --system-id "http://refdb.sourceforge.net/dtd/xnote.dtd" $(top_srcdir)/dtd/xnote.dtd 

xnote/elements.html: xnote.xml $(top_srcdir)/doc/xnote/ele-desc/*
	dtdformat --html xnote.xml
	$(top_srcdir)/scripts/dtdparseweave xnote

xnote/dtdelem/*: xnote/elements.html
xnote/elements/*: xnote/elements.html
xnote/*.html: xnote/elements.html

maintainer-clean: clean
	rm -f refdb-manual.pdf refdb-manual.tex refdb-manual.aux refdb-manual.log refdb-manual.out
	rm -rf refdb-manual/
	rm -f $(png_images)
	rm -f include/fotitlepages.xsl
	rm -f citestylex.xml risx.xml citationlistx.xml xnote.xml
	rm -f citestylex/*.html
	rm -rf citestylex/dtdelem citestylex/dtdent citestylex/elements citestylex/entities citestylex/notations
	rm -f risx/*.html
	rm -rf risx/dtdelem risx/dtdent risx/elements risx/entities risx/notations
	rm -f citationlistx/*.html
	rm -rf citationlistx/dtdelem citationlistx/dtdent citationlistx/elements citationlistx/entities citationlistx/notations
	rm -f xnote/*.html
	rm -rf xnote/dtdelem xnote/dtdent xnote/elements xnote/entities xnote/notations

dist-hook:
# remove the subversion housekeeping directories from the tarball
	rm -rf `find $(distdir) -name .svn`
	rm -f `find $(distdir) -name *~`

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
